var OFFSET = 1.0; // オフセット値　好みで調整

// テキストフレーム作成
function createTextFrame(obj, offset) {
	// ページを取得
	var page = app.activeWindow.activePage; // アクティブなページ（スプレッド）を取得

	// オフセット取得
	var bounds = obj.geometricBounds; // 左上の座標と右下の座標を取得
	var top    = bounds[0] - offset;  // 上座標 (y1)
	var left   = bounds[1] - offset;  // 左座標 (x1)
	var bottom = bounds[2] + offset;  // 下座標 (y2)
	var right  = bounds[3] + offset;  // 右座標 (x2)

	// 矩形を作成（オブジェクトの属性＝割り当てなし）
	var rect = page.rectangles.add(); // ページに矩形を追加
	rect.geometricBounds = [top, left, bottom, right]; // 四方セット [上, 左, 下, 右]
}

var doc = app.activeDocument; // アクティブなドキュメント
var sel = doc.selection; // 選択オブジェクト（配列）

if (sel.length > 0) { // 選択オブジェクトが1つ以上なら
	for (var i = 0; i < sel.length; i++) {
		var obj = sel[i];
		createTextFrame(obj, OFFSET);
		// alert("Top: " + top + "/ Left: " + left + "/ Bottom: " + bottom + "/ Right: " + right); // デバッグ用に表示
	}
} else {
	alert("オブジェクトを選択してください！");
}